import fs from "node:fs/promises";
import path from "node:path";
import process from "node:process";
import { outdent as javascript } from "outdent";
import { getExtensionConfiguration } from "./utils.js";
const createHandlerEntrypointSrc = ({ slug }) => {
    return javascript `
    import { extension } from "../../.ntli/index.js";

    extension._slug = "${slug}";

    export const handler = extension.baseHandler;
  `;
};
export const writeHandlerFunction = async ({ constants, }) => {
    if (constants.INTERNAL_FUNCTIONS_SRC === undefined) {
        throw new Error("The current version of the Netlify CLI is too old. Please update it using `npm -g install netlify-cli` and try again.");
    }
    const cwd = process.cwd();
    const config = await getExtensionConfiguration(cwd);
    await fs.mkdir(constants.INTERNAL_FUNCTIONS_SRC, { recursive: true });
    await fs.writeFile(path.resolve(constants.INTERNAL_FUNCTIONS_SRC, "handler.mjs"), createHandlerEntrypointSrc({ slug: config.slug }));
};
//# sourceMappingURL=write_handler_function.js.map